<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<assembly
        xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="
        http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2
        http://maven.apache.org/xsd/assembly-1.1.2.xsd">
    <id>distribution</id>
    <formats>
        <format>zip</format>
    </formats>
    <fileSets>
        <fileSet>
            <directory>target/appassembler</directory>
            <outputDirectory>tools</outputDirectory>
            <includes>
                <include>*/**</include>
            </includes>
            <excludes>
                <exclude>*/**/maven-metadata-appassembler.xml</exclude>
            </excludes>
        </fileSet>        
        <fileSet>
            <directory>src/main/bin</directory>
            <outputDirectory>tools/bin</outputDirectory>
            <includes>
                <include>*/**</include>
            </includes>
        </fileSet>
    </fileSets>
    <files>
        <file>
            <source>src/main/resources/version.txt</source>
            <outputDirectory>tools/bin</outputDirectory>
            <filtered>true</filtered>
        </file>
        <file>
            <source>src/main/resources/config-platformroot.help.txt</source>
            <outputDirectory>tools/bin</outputDirectory>
            <destName>help.txt</destName>
            <filtered>true</filtered>
        </file>
    </files>
    <includeBaseDirectory>false</includeBaseDirectory>
</assembly>
